﻿@using System.Web.UI.WebControls;
@using Portal.Models.Globals;

<table border="0">
    <tr>
        <td align="left" width="92px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Logistic Partner";
                }).GetHtml()
        </td>
        <td colspan="3">
            @Html.Common().DevExpress().GridLookup(
                    s =>
                    {
                        s.Name = "grlLPHeader";
                        s.GridProperties.KeyFieldName = "LPCode";
                        s.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                        s.GridProperties.CallbackRouteValues = new { Controller = "DCLInquiry", Action = "LPPartial" };
                        s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                        s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                        s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                        s.GridProperties.SettingsPager.PageSize = 100;
                        s.GridProperties.SettingsPager.AlwaysShowPager = true;
                        s.GridProperties.SettingsPager.PageSizeItemSettings.Visible = false;

                        if ((((System.Collections.Generic.List<Portal.Models.Globals.LogisticPartner>)(ViewData["LogisticPartnerData"]))).Count == 1)
                        {
                            s.Text = (((System.Collections.Generic.List<Portal.Models.Globals.LogisticPartner>)(ViewData["LogisticPartnerData"])))[0].LPCode;
                        }
                        
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "LPCode";
                            c.FieldName = "LPCode";
                            c.Caption = "LP Code";
                            c.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        });
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "LPName";
                            c.FieldName = "LPName";
                            c.Caption = "LP Name";
                            //c.Width = System.Web.UI.WebControls.Unit.Pixel(160);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        });
                    }
                ).Bind(ViewData["LogisticPartnerData"]).GetHtml()
        </td>
        <td align="left" width="80px">
        &nbsp
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Route - Rate";
                }).GetHtml()
        </td>
        <td >
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "txtRouteRate";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                    edtSettings.Text = "";
                    edtSettings.Properties.ClientSideEvents.KeyDown = "OnKeyDownSearch";
                }).GetHtml()
        </td>
        <td align="left" width="90px" >
        &nbsp
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Delivery No";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "txtDeliveryNo";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    edtSettings.Text = "";
                    edtSettings.Properties.ClientSideEvents.KeyDown = "OnKeyDownSearch";
                }).GetHtml()
        </td>

        <td align="left" width="128px">
        &nbsp
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Delivery Achievement";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
            edtSettings =>
            {
                edtSettings.Name = "cbStatusDelivery";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                edtSettings.Properties.Items.Add("");
                edtSettings.Properties.Items.Add("Arrival OK");
                edtSettings.Properties.Items.Add("Departure OK");
                edtSettings.Properties.Items.Add("Arrival NG");
                edtSettings.Properties.Items.Add("Departure NG");
            }).GetHtml()
        </td>

    </tr>
    <tr>
        <td align="left">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Pick Up Date<b style=\"color:red;\">*</b>";
                    edtSettings.EncodeHtml = false;
                }).GetHtml()
        </td>
        <td >
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "deFrom";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Date = DateTime.Now.AddDays(-1);
                }).GetHtml()
        </td>
        <td align="left">
        &nbsp
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "To";
                    edtSettings.EncodeHtml = false;
                }).GetHtml()
        </td>
        <td >
            @Html.DevExpress().DateEdit(
                edtSettings =>
                {
                    edtSettings.Name = "deTo";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                    edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                    edtSettings.Date = DateTime.Now;
                }).GetHtml()
        </td>
        <td align="left">
        &nbsp
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Dock Code";
                }).GetHtml()
        </td>
        <td >
             @Html.Common().DevExpress().GridLookup(
                    s =>
                    {
                        s.Name = "grlDock";
                        s.GridProperties.KeyFieldName = "DockCode";
                        s.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                        s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(180);
                        s.GridProperties.CallbackRouteValues = new { Controller = "DCLInquiry", Action = "DockCodePartial" };
                        s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                        s.GridProperties.SettingsPager.PageSize = 100;
                        //s.GridProperties.SettingsPager.AlwaysShowPager = false;
                        //s.GridProperties.SettingsPager.PageSizeItemSettings.Visible = true;
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "PlantCD";
                            c.FieldName = "PlantCD";
                            c.Caption = "Plant Code";
                            c.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        });
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "DockCode";
                            c.FieldName = "DockCode";
                            c.Caption = "Dock Code";
                            c.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        });
                    }
            ).Bind(ViewData["DockCode"]).GetHtml() 
        </td>
        
        <td align="left">
        &nbsp
        @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Delivery Status";
                }).GetHtml()
        </td>
        <td>
        @Html.DevExpress().ComboBox(
                edtSettings =>
                {
                    edtSettings.Name = "cmbDeliveryStatus";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    edtSettings.Properties.Items.Add("");
                    edtSettings.Properties.Items.Add("Downloaded");
                    edtSettings.Properties.Items.Add("Arrived");
                    edtSettings.Properties.Items.Add("Delivered");
                    edtSettings.Properties.Items.Add("Invoiced");
                    edtSettings.Properties.Items.Add("Initial");

                    edtSettings.Properties.Items.Add("Not Yet Approved");
                    edtSettings.Properties.Items.Add("Approved");
                    edtSettings.Properties.Items.Add("Rejected");                    
                    edtSettings.Properties.Items.Add("Cancelled");
                }).GetHtml()
        </td>
    </tr>
    
   

    <tr>
        <td colspan="11" align="left" style="padding-top:10px;">
            <table class="tableBottom" width="100%">
                <tr>
                    <td style="width:120px">
                        @{
                            Html.DevExpress().Button(
                                edtSettings =>
                                {
                                    edtSettings.Text = "Download List";
                                    edtSettings.Name = "cmdDownload";
                                    edtSettings.Width = 100;
                                    edtSettings.ClientSideEvents.Click = "ExportToXLS";
                            }).Render(); 
                        }
                    </td>
                    <td>
                        
                    </td>
                    <td style="width:80px">
                        @Html.DevExpress().Button(
                        edtSettings =>
                        {
                            edtSettings.Text = "Search";
                            edtSettings.Name = "cmdSearch";
                            edtSettings.Width = 80;
                            edtSettings.ClientSideEvents.Click = "FilterData";
                        }).GetHtml()
                    </td>
                    <td style="width:80px">
                        @Html.DevExpress().Button(
                        edtSettings =>
                        {
                            edtSettings.Text = "Clear";
                            edtSettings.Name = "cmdClear";
                            edtSettings.Width = 80;
                            edtSettings.ClientSideEvents.Click = "ClearData";
                        }).GetHtml()
                    </td> 
                </tr>
            </table>
        </td>
        
    </tr>
</table>